package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(live_goods_mapper):
 */
public class LiveGoodsMapper extends BaseEntity {

	/** 主键 */
	private Integer id;
	
	/** 商品编号 */
	private Integer goodsId;
	
	/** 直播间编号 */
	private String liveId;
	
	/** 销量 */
	private Integer sellCount;
	
	/** 状态（1，上架  0，下架） */
	private Boolean status = false;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setGoodsId(Integer goodsId){
		this.goodsId = goodsId;
	}
	
	public Integer getGoodsId(){
		return this.goodsId;
	}
			
	public void setLiveId(String liveId){
		this.liveId = liveId;
	}
	
	public String getLiveId(){
		return this.liveId;
	}
			
	public void setSellCount(Integer sellCount){
		this.sellCount = sellCount;
	}
	
	public Integer getSellCount(){
		return this.sellCount;
	}

	public Boolean getStatus() {
		return status;
	}

	public void setStatus(Boolean status) {
		this.status = status;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
